API Docs
AbsenceAbsence Additional ContingentAbsence ContingentAccountAccountingAccounting ContactAdded ValueAsset AccountAttachmentAttendanceAuthBank AccountCatalogCommissionContactCraftCredit InvoiceCreditorCustom FilterCustom ReportCustomerCustomFieldDashboardDebitorEmailEmployment ContractEstimateFinanceFinance JournalFinance Journal PositionsFinDocCategoryFollowupForecastGeneral InfoHolidayIntegrationsInvoiceJobJob TasksLogin MethodMeMetricsOffice LocationOrder ConfirmationOrganisationPaymentPersonProcedureProcedure ViewPurchase InvoicePurchase OrderReportResource PlanningSnippetTargetTeamTemplateTimeUserUser CraftUser GroupUser Group ActionsUser Group UsersWorkPattern
GETCreditor
/finance/creditor
Lists all open creditors
List all journals that are creditors
Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| search | string | No | The search on fields: name, identification_code, person.first_name, person.last_name, organisation.name, accounting_contact.name, accounting_contact.identification_code |
| organisation_id | integer | No | The id of the entity defined in list_type, can be multiple |
| person_id | integer | No | The id of the entity defined in list_type, can be multiple |
| page | integer | No | The page |
| page_size | integer | No | The page size |
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/finance/creditor?search=string&organisation_id=123' \
-H 'Accept: application/json' \
-H 'Authorization: Session Token'Responses
200OK
rest_models.PageResponse-app_CreditorViewapplication/json
Example
{
"collection": [
{...}
],
"count": 123,
"page": 123,
"page_size": 123
}400Bad Request
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}404Not Found
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}500Internal Server Error
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}